人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

ONE/DEPO ver 1.0.00 beta3で質問です。

Sun xVM VirtualBox 2.2.4 r47978 に CentOS-5.3-i386-bin-DVD をインストールして、その後09年06月11日時点で最新の

yum update
xampp for linux
postgresql

などをインストールしました。
しかし、大体マニュアル通り最後まで進め、ONE/DEPOのページをブラウザから開くと

Warning: require_once(maple/config/common.php) [function.require-once]: failed to open stream: そのようなファイルやディレクトリはありません in /var/local/onedepo/onedepobase/www/webapp/config/maple.inc.php on line 36

Fatal error: require_once() [function.require]: Failed opening required 'maple/config/common.php' (include_path='.:/opt/lampp/lib/php') in /var/local/onedepo/onedepobase/www/webapp/config/maple.inc.php on line 36

というエラーが発生して、起動させることができません。
よろしければ対処法を教えてください。よろしくお願いします。

●質問者: くじぇ
●カテゴリ:インターネット ウェブ制作
✍キーワード:00 6月11日 CentOS Common config
○ 状態 :終了
└ 回答数 : 1/1件

▽最新の回答へ

1 ● manabuikarashi
●60ポイント ベストアンサー

Fatal error: require_once() [function.require]: Failed opening required 'maple/config/common.php' (include_path='.:/opt/lampp/lib/php') in /var/local/onedepo/onedepobase/www/webapp/config/maple.inc.php on line 36

>(include_path='.:/opt/lampp/lib/php')

から察するにインクルードパスが正しく設定されていないようです。

apacheの設定で「AllowOverride All」を設定することで解決するような気がします。

/etc/httpd/cond.dにonedepo.confというファイルを作成して以下の記述を入れると良いのではと思います。

Alias /onedepo "/var/local/onedepo/onedepobase/www/htdocs"

<Directory "/var/local/onedepo/onedepobase/www/htdocs">

Options -Indexes

AllowOverride All

Order allow,deny

Allow from all

</Directory>

◎質問者からの返答

manabuikarashiさん、ありがとうございます。

後ほど検証してみます!

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ